package com.inspect.analysis.domain;

import java.io.Serializable;
import java.util.Objects;

public class AlgPatrolPoint implements Serializable {
    private String patrolPointId;
    private String patrolPointName;

    public String getPatrolPointId() {
        return patrolPointId;
    }

    public String getPatrolPointName() {
        return patrolPointName;
    }

    public void setPatrolPointId(String patrolPointId) {
        this.patrolPointId = patrolPointId;
    }

    public void setPatrolPointName(String patrolPointName) {
        this.patrolPointName = patrolPointName;
    }

    @Override
    public boolean equals(Object object) {
        if (this == object) return true;
        if (object == null || getClass() != object.getClass()) return false;
        AlgPatrolPoint that = (AlgPatrolPoint) object;
        return Objects.equals(patrolPointId, that.patrolPointId) && Objects.equals(patrolPointName, that.patrolPointName);
    }

    @Override
    public int hashCode() {
        return Objects.hash(patrolPointId, patrolPointName);
    }

    @Override
    public String toString() {
        return "AlgPatrolPoint{" +
                "patrolPointId='" + patrolPointId + '\'' +
                ", patrolPointName='" + patrolPointName + '\'' +
                '}';
    }
}
